<?php
    $title = $l = "Группы - Новая группа"; #Тайтл
    require (CORE."head.php"); #Шапка
    $errMsg = NULL;
 if (isset($_POST['cfms']))
{
    if (isset($_POST['name']) && $_POST['name'] != NULL)
    {
        $name = system :: check($_POST['name']);
        $msg_str = system :: utf_strlen($name);
        if($msg_str >= 3) {
		if($msg_str <= 50) {
	    if (DB :: $pdo -> query("INSERT INTO `groups` (`id_user`, `name`, `time`) VALUES (?, ?, ?);", array($user['id'], $name, time())))
        {
            $last_id = DB :: $pdo -> lastInsertId();
            DB :: $pdo -> query("INSERT INTO `groups_users` (`id_user`, `id_group`, `admin`, `time`) VALUES (?, ?, ?, ?);", array($user['id'], $last_id, '2', time()));
	    	system :: redirect("Группа успешно добавлена.", "/groups/?group=".$last_id."&edit");
	}   else    {
	    	$errMsg = "Неизвестная ошибка.!";
	    }
    }   else    {	
            $errMsg = "Название привешает в 50 символов.!";
        
        }
    }   else    {	
            $errMsg = "Название меньше 3 символов.!";}
    
    }   else    {
    	    $errMsg = "Введите название для группы!";
    }
        }

    echo "<div class=\"app-block\">";
    system :: show($errMsg); #Вывод ошибок 
    
    ?>
    <div class="list">
        <form method="post" class="post-add" data-type="arbour" action="/groups/?add_group">
            <div class="_gray _dbl _bold">Название:</div>
            <input class="main-input _w-100" type="text" maxlength="50" name="name" />
            <div class="_center" style="margin-top: 3px;">
                <input type="submit" class="main-btn _w-100" name="cfms" value="Продолжить" />
            </div>
        </form>
    </div>
    <?php

    echo "</div>";
    require (CORE."foot.php");